Bug 5445 - Plone DataError in properties
: Plone DataError in properties
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/Plone)
: unstable
: all Linux
: P2 normal
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2004-11-04 11:10 by
Modified: 2007-12-05 14:01 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2004-11-04 11:10:35
When I`m trying to open object properties in Plone I get this error:

Site error
This site encountered an error trying to fulfill your request. The
errors were: 


Error Type 
        DateError
Error Value 
        12/31/2020
Request made at 
        2004/11/03 14:07:29.200 GMT+2

Here are the log output:

Time
2004/11/03 14:07:28.941 GMT+2
User Name (User Id)
admin (admin)
Request URL
http://localhost:8080/test/index_html/metadata_edit_form
Exception Type
DateError
Exception Value
12/31/2020

Traceback (innermost last):

      * Module ZPublisher.Publish, line 101, in publish
      * Module ZPublisher.mapply, line 88, in mapply
      * Module ZPublisher.Publish, line 39, in call_object
      * Module Products.CMFFormController.FSControllerPageTemplate, line
        80, in __call__
      * Module Products.CMFFormController.BaseControllerPageTemplate,
        line 42, in _call
      * Module Shared.DC.Scripts.Bindings, line 306, in __call__
      * Module Shared.DC.Scripts.Bindings, line 343, in _bindAndExec
      * Module Products.CMFCore.FSPageTemplate, line 191, in _exec
      * Module Products.CMFCore.FSPageTemplate, line 124, in pt_render
      * Module Products.PageTemplates.PageTemplate, line 96, in
        pt_render
        <FSControllerPageTemplate at /test/metadata_edit_form used
        for /test/index_html>
      * Module TAL.TALInterpreter, line 190, in __call__
      * Module TAL.TALInterpreter, line 234, in interpret
      * Module TAL.TALInterpreter, line 671, in do_useMacro
      * Module TAL.TALInterpreter, line 234, in interpret
      * Module TAL.TALInterpreter, line 409, in do_optTag_tal
      * Module TAL.TALInterpreter, line 394, in do_optTag
      * Module TAL.TALInterpreter, line 389, in no_tag
      * Module TAL.TALInterpreter, line 234, in interpret
      * Module TAL.TALInterpreter, line 694, in do_defineSlot
      * Module TAL.TALInterpreter, line 234, in interpret
      * Module TAL.TALInterpreter, line 671, in do_useMacro
      * Module TAL.TALInterpreter, line 234, in interpret
      * Module TAL.TALInterpreter, line 460, in do_setLocal_tal
      * Module Products.PageTemplates.TALES, line 221, in evaluate
        Line 200, Column 14
        Expression: <PythonExpr
        here.date_components_support(inputvalue)>
        Names:
        {'container': <PloneSite instance at 415035f0>,
         'context': <Document at /test/index_html>,
         'default': <Products.PageTemplates.TALES.Default instance at
0x40c57f4c>,
         'here': <Document at /test/index_html>,
         'loop': <SafeMapping instance at 416070b0>,
         'modules':
<Products.PageTemplates.ZRPythonExpr._SecureModuleImporter instance at
0x40c5eaac>,
         'nothing': None,
         'options': {'state': <ControllerState instance at 416070d0>,
'args': ()},
         'repeat': <SafeMapping instance at 416070b0>,
         'request': <HTTPRequest,
URL=http://localhost:8080/test/index_html/metadata_edit_form>,
         'root': <Application instance at 415031a0>,
         'template': <FSControllerPageTemplate
at /test/metadata_edit_form used for /test/index_html>,
         'traverse_subpath': [],
         'user': admin}
      * Module Products.PageTemplates.ZRPythonExpr, line 47, in __call__
        __traceback_info__: here.date_components_support(inputvalue)
      * Module Python expression
        "here.date_components_support(inputvalue)", line 1, in
        <expression>
      * Module Products.CMFCore.FSPythonScript, line 104, in __call__
      * Module Shared.DC.Scripts.Bindings, line 306, in __call__
      * Module Shared.DC.Scripts.Bindings, line 343, in _bindAndExec
      * Module Products.CMFCore.FSPythonScript, line 160, in _exec
      * Module None, line 23, in date_components_support
        <FSPythonScript at /test/date_components_support used
        for /test/index_html>
        Line 23
      * Module DateTime.DateTime, line 522, in __init__
      * Module DateTime.DateTime, line 745, in _parse_args
      * Module DateTime.DateTime, line 1102, in _parse
DateError: 12/31/2020

Steps to Reproduce:
1.Login as a member in Plone website
2.Try to open properties of object
3.
Actual Results:  
Site error

Expected Results:  
Properties of object
------- Comment #1 From 2004-11-05 20:06:41 -------
Я пересобираю Plone, его новую версию. С Bugzilla какая-то фигня, разбираюсь, 
не могу баг проаксептить... Было бы неплохо, если бы Вы указали версию Zope, 
которую используете, в какой локали запускаете.
------- Comment #2 From 2004-11-08 12:51:16 -------
Zope-2.7.3-alt3
до этого была 2.7.3-alt2, также ошибка была на Zope 2.7.2 сборку не помню
Plone-2.0.RC6-alt1
locale: en_US.UTF-8
------- Comment #3 From 2005-05-27 00:32:28 -------
Fixed in new release